//
//  PreferencesGeneral.m
//  SkookumMorse
//
//  Created by Willard Myers on 2009.05.04.
//  Copyright 2009 K1GQ. All rights reserved.
//

#import "PreferencesGeneral.h"
#import "WinKeyerConstants.h"

NSString* kWKPortNamePreferenceKey = @"WKPortName";
NSString* kMyCallPreferenceKey = @"MyCall";

@implementation PreferencesGeneral

+ (void)registerDefaults
{
    NSMutableDictionary* defaultsDict = [NSMutableDictionary dictionary];

    defaultsDict[kWKPortNamePreferenceKey] = kWKNoPortString;
    defaultsDict[kMyCallPreferenceKey] = @"AK1A";

    NSUserDefaults* defaults = [NSUserDefaults standardUserDefaults];
    [defaults registerDefaults:defaultsDict];
}


@end
