//
//  PreferencesWinKeyer.h
//
//  Created by Willard Myers on 2008.11.20.
//  Copyright 2008 K1GQ. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// Keys for items in standard user defaults
extern NSString* kWKAutospacePreferenceKey;
extern NSString* kWKContestSpacingPreferenceKey;
extern NSString* kWKDisablePaddleWatchdogPreferenceKey;
extern NSString* kWKEnableDitDahMemoryPreferenceKey;
extern NSString* kWKDitDahPriorityPreferenceKey;
extern NSString* kWKFarnsworthSpeedPreferenceKey;
extern NSString* kWKFirstExtensionPreferenceKey;
extern NSString* kWKHSCWSpeedPreferenceKey;
extern NSString* kWKKeyModePreferenceKey;
extern NSString* kWKKeyOut1EnablePreferenceKey;
extern NSString* kWKKeyOut2EnablePreferenceKey;
extern NSString* kWKKeyingCompensationPreferenceKey;
extern NSString* kWKMessage1PreferenceKey;
extern NSString* kWKMessage2PreferenceKey;
extern NSString* kWKMessage3PreferenceKey;
extern NSString* kWKMessage4PreferenceKey;
extern NSString* kWKMessage5PreferenceKey;
extern NSString* kWKMessage6PreferenceKey;
extern NSString* kWKPTTEnablePreferenceKey;
extern NSString* kWKPTTLeadTimePreferenceKey;
extern NSString* kWKPTTTailTimePreferenceKey;
extern NSString* kWKPaddleEchobackPreferenceKey;
extern NSString* kWKPaddleHangPreferenceKey;
extern NSString* kWKPaddleOnlySidetonePreferenceKey;
extern NSString* kWKPaddleSwapPreferenceKey;
extern NSString* kWKPaddleSwitchpointPreferenceKey;
extern NSString* kWKRatioPreferenceKey;
extern NSString* kWKSerialEchobackPreferenceKey;
extern NSString* kWKSidetoneEnablePreferenceKey;
extern NSString* kWKSidetoneFrequencyPreferenceKey;
extern NSString* kWKSpeedPotMinimumPreferenceKey;
extern NSString* kWKSpeedPotRangePreferenceKey;
extern NSString* kWKSpeedPreferenceKey;
extern NSString* kWKWeightingPreferenceKey;
extern NSString* kWKStandaloneCommandSpeedPreferenceKey;
extern NSString* kWKStandaloneEnableMessageBreakPreferenceKey;
extern NSString* kWKStandaloneCutSerialNumbersPreferenceKey;
extern NSString* kWKStandaloneMessage1PreferenceKey;
extern NSString* kWKStandaloneMessage2PreferenceKey;
extern NSString* kWKStandaloneMessage3PreferenceKey;
extern NSString* kWKStandaloneMessage4PreferenceKey;
extern NSString* kWKStandaloneMessage5PreferenceKey;
extern NSString* kWKStandaloneMessage6PreferenceKey;

@interface PreferencesWinKeyer : NSObject

+ (void)registerDefaults;

// All state is held via NSUserDefaults

@end
