//
//  PreferencesMessagesViewController.m
//  SkookumMorse
//
//  Created by Willard Myers on 2009.04.25.
//  Copyright 2009 K1GQ. All rights reserved.
//

#import "MessageFormatter.h"
#import "PreferencesMessagesViewController.h"

@implementation PreferencesMessagesViewController

- (NSString*)title
{
	return NSLocalizedString(@"Messages", @"Title of 'Messages' preference pane");
}

- (NSString*)identifier
{
	return @"PreferencesMessagesPane";
}

- (NSImage*)image
{
	return [NSImage imageNamed:@"PreferencesMessages"];
}

- (void)awakeFromNib
{
    [message1TextField setFormatter:[[MessageFormatter alloc] init]];
    [message2TextField setFormatter:[[MessageFormatter alloc] init]];
    [message3TextField setFormatter:[[MessageFormatter alloc] init]];
    [message4TextField setFormatter:[[MessageFormatter alloc] init]];
    [message5TextField setFormatter:[[MessageFormatter alloc] init]];
    [message6TextField setFormatter:[[MessageFormatter alloc] init]];
    [message7TextField setFormatter:[[MessageFormatter alloc] init]];
    [message8TextField setFormatter:[[MessageFormatter alloc] init]];
}

@end
